### get_nnzeros -- Get number of nonzero elements in a sparse matrix

    nz = a%get_nnzeros()

Type:
  Asynchronous.
On Entry
a
  the sparse matrix
  Scope: local

On Return
Function value
  The number of nonzero elements stored in sparse matrix `a`.

Notes

1. The function value is specific to the storage format of matrix `a`; some storage formats employ padding, thus the returned value for the same matrix may be different for different storage choices.